import { z } from 'zod'
import { initTRPC } from '@trpc/server'

const t = initTRPC.create()

export const publicProcedure = t.procedure
export const router = t.router

export const appRouter = router({
    hello: publicProcedure.input(z.string().nullish()).query(({ input }) => {
        return `Hello ${input ?? 'World'}!`
    }),
})

export type AppRouter = typeof appRouter